3rd: 3D Viewer, needs j3d-1_5_2-windows-amd64 . zip

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

3rd: 3D Viewer, needs j3d-1_5_2-windows-amd64 . zip

Jim Quinn-3
ImageJ folks -

Trying to use Plugins/3D_Viewer, I get the following log message:

downloading h t t p : / / 132 . 187 . 25 . 13 / java3d /
j3d-1_5_2-windows-amd64 . zip
wait ...............wait..................wait

Can't open connection to h t t p : / / 132 . 187 . 25 . 13 / java3d /
j3d-1_5_2-windows-amd64 . zip

NOTE: I inserted the "spaces" to get the listeserv to accept this message.

Any suggestions?

I did download a copy of j3d-1_5_2-windows-amd64 . zip, but would
need to know where to place it.

thanks and kind regards,

- Jim

--
ImageJ mailing list: http://imagej.nih.gov/ij/list.html
Reply | Threaded
Open this post in threaded view
|

Re: 3rd: 3D Viewer, needs j3d-1_5_2-windows-amd64 . zip

Stein Rørvik
As you have seen, the auto-installation of Java3D no longer works since the website it is trying to download from is dead. If you found the file elsewere, try to put it in the jre/lib/ext folder in the ImageJ folder.

If this does not work, try this (at least it worked for me with ImageJ1.x):

Upgrade Java3D to 1.60 and use JOGL for the platform-files. You must download these files yourself. The advantage with this approach is that this works fine with Java 8, and is also compatible with all old ImageJ plugins so you can use BoneJ and any other legacy plugins you have which depends on the 3D_Viewer under Java 8, if you are using ImageJ 1.x (which you apparently do).

I also see today that there is now a Java 3D release version 1.7.0; but I haven't tried that. I tried the pre-release of 1.7.0 and that did NOT work when I were fiddling with this a couple of years ago.

If 3D_Viewer installs and launches without error, but just shows a grey window, you can add -Dsun.java2d.d3d=true as an option in your ImageJ.cfg file. At least this worked for me.

Installing Java 3D:

Download

        http://jogamp.org/deployment/java3d/1.6.0-final/jogamp-java3d.7z

unzip

        .\j3dcore.jar
        .\j3dutils.jar
        .\vecmath.jar

put in

        jre\lib\ext


Installing JOGL:

Download

        http://jogamp.org/deployment/v2.3.2/archive/jogamp-fat-all.7z

unzip

        .\jogamp-fat.jar

put in

        jre\lib\ext


You can also of course use the latest version of Fiji which already has a working 3D_Viewer. But that depends on a forked version of Java 3D, which is not compatible with legacy plugins.

Stein

-----Original Message-----
From: ImageJ Interest Group <[hidden email]> On Behalf Of Jim Quinn
Sent: 14. mai 2020 17:09
To: [hidden email]
Subject: 3rd: 3D Viewer, needs j3d-1_5_2-windows-amd64 . zip

ImageJ folks -

Trying to use Plugins/3D_Viewer, I get the following log message:

downloading h t t p : / / 132 . 187 . 25 . 13 / java3d /
j3d-1_5_2-windows-amd64 . zip
wait ...............wait..................wait

Can't open connection to h t t p : / / 132 . 187 . 25 . 13 / java3d /
j3d-1_5_2-windows-amd64 . zip

NOTE: I inserted the "spaces" to get the listeserv to accept this message.

Any suggestions?

I did download a copy of j3d-1_5_2-windows-amd64 . zip, but would need to know where to place it.

thanks and kind regards,

- Jim

--
ImageJ mailing list: https://eur03.safelinks.protection.outlook.com/?url=http%3A%2F%2Fimagej.nih.gov%2Fij%2Flist.html&amp;data=02%7C01%7Cstein.rorvik%40sintef.no%7C12e17778d5d04934c6dc08d7f818fe26%7Ce1f00f39604145b0b309e0210d8b32af%7C1%7C0%7C637250658544245837&amp;sdata=2Ks645GpV8Qfxcb5Qpq1drqvoKLX%2FkLeSrErnpcFGdA%3D&amp;reserved=0

--
ImageJ mailing list: http://imagej.nih.gov/ij/list.html